Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1456955 - RFE: add upstream property blacklist and expections to multipath
Summary: RFE: add upstream property blacklist and expections to multipath
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: device-mapper-multipath
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ben Marzinski
QA Contact: Lin Li
Steven J. Levine
URL:
Whiteboard:
Depends On:
Blocks: 1016535 1521074
TreeView+ depends on / blocked
 
Reported: 2017-05-30 18:06 UTC by Ben Marzinski
Modified: 2018-04-10 16:10 UTC (History)
8 users (show)

Fixed In Version: device-mapper-multipath-0.4.9-114.el7
Doc Type: Enhancement
Doc Text:
New `property` parameter supported in `blacklist` and `blacklist_exception` sections of `multipath.conf` The `multipath.conf` configuration file now supports the `property` parameter in the `blacklist` and `blacklist_exception` sections of the file. This parameter allows users to blacklist certain types of devices. The `property` parameter takes a regular expression string that is matched against the `udev` environment variable names for the device. The `property` parameter in `blacklist_exception` works differently than the other `blacklist_exception` parameters. If the parameter is set, the device must have a `udev` variable that matches. Otherwise, the device is blacklisted. Most usefully, this parameter allows users to blacklist SCSI devices that multipath should ignore, such as USB sticks and local hard drives. To allow only SCSI devices that could reasonably be multipathed, set this parameter to `(SCSI_IDENT_|ID_WWN)` in the `blacklist_exceptions` section of the `multipath.conf` file.
Clone Of:
: 1519962 1521074 (view as bug list)
Environment:
Last Closed: 2018-04-10 16:10:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:0884 normal SHIPPED_LIVE device-mapper-multipath bug fix and enhancement update 2018-04-10 13:47:14 UTC

Description Ben Marzinski 2017-05-30 18:06:39 UTC
Upstream multipath allows a "property" blacklist option that blacklists devices with certain udev environment variables. It also allows "property" as a blacklist_exceptions option. The blacklist_exceptions option is special. If an exceptions option is set, but no blacklist option, it is assumed that all devices are blacklisted, except the ones that have udev evironment variables that match the exception option.

RHEL multipath should include this feature, and have the default multipath.conf file installed by mpathconf set

blacklist_exceptions {
        property "(SCSI_IDENT_|ID_WWN)"
}

which is the upstream default. This has the effect of keeping multipath from running a number of local devices that it has not business attempting to multipath.

Comment 2 Ben Marzinski 2017-10-05 04:02:24 UTC
Backported the upstream feature as described in the problem description, with one exception.  mpathconf does not set the property blacklist exception by default. If you need it set, you must set it yourself.

Comment 4 Steven J. Levine 2017-12-01 20:03:08 UTC
Ben:

I edited your release note description by moving around some text.  Could you look this over and let me know if this is correct as it now stands?

Steven

Comment 5 Ben Marzinski 2017-12-05 16:34:12 UTC
It looks great.

Comment 6 Steven J. Levine 2017-12-05 18:28:42 UTC
Cloning this as a doc bug since I think we should probably add this information to the section on the blacklist exceptions file:

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/dm_multipath/config_file_blacklist#blacklist_exceptions

Comment 16 errata-xmlrpc 2018-04-10 16:10:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:0884


Note You need to log in before you can comment on or make changes to this bug.